Bug 496489 - Review Request: abby - Front-end for cclive and clive
Review Request: abby - Front-end for cclive and clive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 12:00 EDT by Nicoleau Fabien
Modified: 2009-05-11 23:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2009-04-19 12:00:23 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/abby.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc10/abby-0.2.0-1.fc10.src.rpm
Description:
abby is a front-end for clive and cclive, allowing users unfamiliar with
command-line interfaces to make most of cclive using a graphical
user-interface. abby is written in C++. 

Note that clive is already in Fedora repositories, and I asked a review for cclive (bug #496486).

Rpmlint is silent.
SRPM builds under mock and on koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=1307961
Comment 1 Susi Lehtola 2009-04-20 15:47:43 EDT
- Shouldn't this package Requires: clive, cclive from a usability point of view..?


rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. NEEDSFIX
- Don't use %{name} in URL.
- "install -d $RPM_BUILD_ROOT%{_bindir}" is redundant since "install -Dm 755 -p %{name} $RPM_BUILD_ROOT%{_bindir}" already creates the directory for you. Also desktop-file-install seems to create the destination directory automatically, so you can drop the directory line altogether.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


You can do the fixes upon import to CVS. The package has been

APPROVED
Comment 2 Nicoleau Fabien 2009-04-20 17:07:44 EDT
Thank you for the review. I'll fix URL.
Before importing, about the first question, for requires :
- at first, cclive was the only one compatible with abby. clive is compatible since last version. As cclive is lighter than clive, I think I could add cclive as a require for abby
- an other solution is to create a virtual provide, in clive and cclive, like "clive_backend". Then abby could have a require on "clive_backend". I don't know if it's a good solution.

BTW, cclive/abby is originally the "real" couple. 

I don't really know what i the best solution. May be we can also let the user choose himselft his own backend.
Comment 3 Susi Lehtola 2009-04-20 17:28:37 EDT
(In reply to comment #2)
> Thank you for the review. I'll fix URL.
> Before importing, about the first question, for requires :
> - at first, cclive was the only one compatible with abby. clive is compatible
> since last version. As cclive is lighter than clive, I think I could add cclive
> as a require for abby
> - an other solution is to create a virtual provide, in clive and cclive, like
> "clive_backend". Then abby could have a require on "clive_backend". I don't
> know if it's a good solution.
> 
> BTW, cclive/abby is originally the "real" couple. 
> 
> I don't really know what i the best solution. May be we can also let the user
> choose himselft his own backend.  

Since clive and cclive are trivial in size, I'd put both as requirements.
Comment 4 Nicoleau Fabien 2009-04-20 17:54:40 EDT
As clive will also generate some perl requriements, and if you are ok with that, I prefer put only cclive as an explicit requirement.
Comment 5 Susi Lehtola 2009-04-21 01:38:44 EDT
Is that really such a big of an issue? How big are the perl packages?

However, if abby fails quietly when trying to use clive, then it might be a courtesy to the user to require also clive. Otherwise s/he won't probably know why abby doesn't work.

Anyway, I leave it for you to decide what is sensible.
Comment 6 Nicoleau Fabien 2009-04-21 03:47:18 EDT
If cclive is present, abby won't warn. It requires one, or the other, but not both. If none of them are found, abby will display a messagebox. I'll add cclive as an explicit requires. If users thinks that clive is needed too, I'll add it in further releases. I'll also fix URL. Thank you for this review.
Comment 7 Nicoleau Fabien 2009-04-21 03:48:32 EDT
New Package CVS Request
=======================
Package Name: abby
Short Description: Front-end for cclive and clive
Owners: eponyme
Branches: F-9 F-10 F-11
InitialCC:
Comment 8 Kevin Fenzi 2009-04-23 12:44:02 EDT
cvs done.
Comment 9 Fedora Update System 2009-04-23 17:15:37 EDT
abby-0.2.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/abby-0.2.0-2.fc11
Comment 10 Fedora Update System 2009-04-23 17:16:53 EDT
abby-0.2.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/abby-0.2.0-2.fc10
Comment 11 Fedora Update System 2009-04-23 17:18:11 EDT
abby-0.2.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/abby-0.2.0-2.fc9
Comment 12 Fedora Update System 2009-04-27 17:41:13 EDT
abby-0.2.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update abby'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4059
Comment 13 Fedora Update System 2009-04-27 17:41:18 EDT
abby-0.2.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abby'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4060
Comment 14 Fedora Update System 2009-05-02 12:29:21 EDT
abby-0.2.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-02 12:30:05 EDT
abby-0.2.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-05-08 17:07:50 EDT
abby-0.2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/abby-0.2.1-1.fc11
Comment 17 Fedora Update System 2009-05-11 23:58:28 EDT
abby-0.2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.